# VehicleUpdateEvent (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.vehicle, class: VehicleUpdateEvent

Package org.bukkit.event.vehicle

# Class VehicleUpdateEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.vehicle.VehicleEvent
org.bukkit.event.vehicle.VehicleUpdateEvent

public class VehicleUpdateEvent extends VehicleEvent
Called when a vehicle updates

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.vehicle.VehicleEvent

`vehicle`

## Constructor Summary

Constructors
Constructor
Description
`VehicleUpdateEvent(@NotNull Vehicle vehicle)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.vehicle.VehicleEvent

`getVehicle`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VehicleUpdateEvent

public VehicleUpdateEvent(@NotNull @NotNull Vehicle vehicle)

## Method Details

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()